Bug 205408 - audio/cd2mp3: add WWW, and MASTER_SITES
Summary: audio/cd2mp3: add WWW, and MASTER_SITES
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jason Unovitch
URL:
Keywords: easy, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2015-12-18 18:47 UTC by Chris Hutchinson
Modified: 2016-01-01 04:22 UTC (History)
3 users (show)

See Also:


Attachments
svn diff for audio/cd2mp3 (888 bytes, patch)
2015-12-18 18:47 UTC, Chris Hutchinson
rodrigo.freebsd: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Hutchinson 2015-12-18 18:47:56 UTC
Created attachment 164357 [details]
svn diff for audio/cd2mp3

Changes:

Makefile
PORTREVISION (trigger package rebuild reflecting changes)
MASTER_SITES add IPV6 server for IPv6 only hosts

pkg-descr
WWW adds a web page

That's it!

Thanks!

--Chris
Comment 1 commit-hook freebsd_committer 2015-12-19 00:55:48 UTC
A commit references this bug:

Author: junovitch
Date: Sat Dec 19 00:55:42 UTC 2015
New revision: 403994
URL: https://svnweb.freebsd.org/changeset/ports/403994

Log:
  audio/cd2mp3: Add an IPv6 MASTER_SITES mirror and add a WWW:

  PR:		205408
  Submitted by:	Chris Hutchinson <portmaster@bsdforge.com> (maintainer)

Changes:
  head/audio/cd2mp3/Makefile
  head/audio/cd2mp3/pkg-descr
Comment 2 Jason Unovitch freebsd_committer 2015-12-19 00:57:43 UTC
Hmm. This was under ports@ when I opened the tab earlier. Assign to self.

No PORTREVISION bump as the significant portions of the package are still the same and the pkg-descr change doesn't justify it.
Comment 3 Jason Unovitch freebsd_committer 2015-12-19 01:12:31 UTC
Reopen after discussing with miwi@.

Chris, when the mirror is fixed per bug 205406 comment 4 can you add a patch to fix the work committed earlier?
Comment 4 Chris Hutchinson 2015-12-19 01:56:26 UTC
(In reply to Jason Unovitch from comment #3)
> Reopen after discussing with miwi@.
> 
> Chris, when the mirror is fixed per bug 205406 comment 4 can you add a patch
> to fix the work committed earlier?

If I understand you correctly...
When I change the web server so that the AAAA
works as it should?

If that's the case. Yes. I'll remove the additional host,
and submit a patch reflecting that.

But it will be awhile before I can get to that. So I opted
to go this route, for now.

Thanks!

--Chris
Comment 5 Chris Hutchinson 2015-12-31 16:52:17 UTC
Getting new upstream, makes this no longer necessary.

Thanks for your time on this!

--Chris
Comment 6 Jason Unovitch freebsd_committer 2015-12-31 22:16:27 UTC
(In reply to Chris Hutchinson from comment #5)
I'm not sure what you mean by this.  Will BSDforge.com support both IPv4 and IPv6 soon and can the IPv6 hostname only be removed?
Comment 7 Chris Hutchinson 2015-12-31 22:31:29 UTC
(In reply to Jason Unovitch from comment #6)
> (In reply to Chris Hutchinson from comment #5)
> I'm not sure what you mean by this.  Will BSDforge.com support both IPv4 and
> IPv6 soon and can the IPv6 hostname only be removed?

Yep. BSDforge.com will answer on both, without the need
to provide a sub-domain.

Thanks Jason, and Happy New Year!

--Chris
Comment 8 Jason Unovitch freebsd_committer 2015-12-31 22:41:30 UTC
(In reply to Chris Hutchinson from comment #7)
Then I can remove the bsd6.bsdforge.com from both ports I added it to, correct?
Comment 9 Chris Hutchinson 2015-12-31 22:44:26 UTC
(In reply to Jason Unovitch from comment #8)
> (In reply to Chris Hutchinson from comment #7)
> Then I can remove the bsd6.bsdforge.com from both ports I added it to,
> correct?

Absolutely.

Thanks!

--Chris
Comment 10 Jason Unovitch freebsd_committer 2015-12-31 23:51:36 UTC
(In reply to Chris Hutchinson from comment #9)
It looks like the AAAA record hasn't be updated to make this actually work yet.

% host bsdforge.com
bsdforge.com has address 209.180.214.225
bsdforge.com mail is handled by 10 mx01.ultimatedns.net.
bsdforge.com mail is handled by 90 mx99.ultimatedns.net.

% host bsd6.bsdforge.com
bsd6.bsdforge.com has IPv6 address 2602:d1:b4d6:e600:4261:86ff:fef6:aa2a
Comment 11 Chris Hutchinson 2015-12-31 23:56:52 UTC
(In reply to Jason Unovitch from comment #10)
> (In reply to Chris Hutchinson from comment #9)
> It looks like the AAAA record hasn't be updated to make this actually work
> yet.
> 
> % host bsdforge.com
> bsdforge.com has address 209.180.214.225
> bsdforge.com mail is handled by 10 mx01.ultimatedns.net.
> bsdforge.com mail is handled by 90 mx99.ultimatedns.net.
> 
> % host bsd6.bsdforge.com
> bsd6.bsdforge.com has IPv6 address 2602:d1:b4d6:e600:4261:86ff:fef6:aa2a

Yes, that's true. I'm still migrating the server farm
over to the new, and larger IP block.

It'll be complete in under 48hrs. But that's no reason
not to remove the bsd6 host from the Makefile. It'll
all resolve soon enough. :)

Thanks!

--Chris
Comment 12 commit-hook freebsd_committer 2016-01-01 00:02:46 UTC
A commit references this bug:

Author: junovitch
Date: Fri Jan  1 00:02:42 UTC 2016
New revision: 404966
URL: https://svnweb.freebsd.org/changeset/ports/404966

Log:
  audio/cd2mp3: Remove IPv6 only MASTER_SITE

  - Remove IPv6 only MASTER_SITES mirror; main mirror supports both IPv4/IPv6

  PR:		205408

Changes:
  head/audio/cd2mp3/Makefile
Comment 13 Chris Hutchinson 2016-01-01 04:22:51 UTC
(In reply to commit-hook from comment #12)
> A commit references this bug:
> 
> Author: junovitch
> Date: Fri Jan  1 00:02:42 UTC 2016
> New revision: 404966
> URL: https://svnweb.freebsd.org/changeset/ports/404966
> 
> Log:
>   audio/cd2mp3: Remove IPv6 only MASTER_SITE
> 
>   - Remove IPv6 only MASTER_SITES mirror; main mirror supports both IPv4/IPv6
> 
>   PR:		205408
> 
> Changes:
>   head/audio/cd2mp3/Makefile

Thank you, Jason!